
Redmine - Defect #6378
Subtask - Start is invalid
2010-09-13 09:18 - Martin G

Status: Reopened Start date: 2010-09-13
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version:
Resolution: Affected version: 1.0.1
Description
When i try to update subtasks the error message "Start is invalid" appears.
For example:
    -  The start date of the parent task is '2010-09-10'
    -  The start date of the subtask is '2010-09-10'

I've tried some other dates for the subtask and it works for date '2010-10-01' and later...

Related issues:
Related to Redmine - Defect # 14086: Better handling of issue start date vali... Closed
Related to Redmine - Defect # 16896: Follows Relation Ignored When Adding a P... New

History
#1 - 2010-09-22 09:48 - Martin G

Also deleting the date works.

#2 - 2010-10-02 17:52 - Mischa The Evil

I've been trying to reproduce this issue for some time now (using the subtasks feature only) but have not been able to trigger the given result.
Are you sure this isn't an error due to use of the issue-relations feature (in particular the precedes-/following-relationship)?
Can you maybe give exact and detailed steps to reproduce the issue?

Can you maybe setup a project and some issues on http://demo.redmine.org to showcase the unexpected result?

#3 - 2010-10-07 08:09 - Martin G
- Status changed from New to Resolved

I can't reproduce the issue on http:\\demo.redmine.org too.
So, i think the problem was resolved concurrently with another issue for the version 1.0.2

#4 - 2010-10-07 23:24 - Felix Schäfer
- Status changed from Resolved to Closed

Thanks for the feedback.

#5 - 2010-10-19 19:07 - Fernando Hartmann
- Status changed from Closed to Reopened

I'm using 1.0.2 and the problem happened two times today.

#6 - 2010-10-20 13:32 - Damien Couderc

+1

I got the problem too using 1.0.2 ...
We should be able to change the % done without the start date being updated (even with the same value).

#7 - 2010-11-03 13:12 - Damien Couderc

This issue is a real pain when you use heavily the gantt chart.
We have to remove the start date to be able to update issue which make it disappearing from the gantt chart.

Maybe the priority should be higher ...

#8 - 2010-11-30 20:08 - Tim Ehlen

We are experiencing this also on 1.01.  I believe it is a formatting mismatch between the calendar date widget and the format of the display dates. 
Dates are displaying in the edit box as '2010/10/1' but the format of date in settings is '10/1/2010'. If you are getting this error just retype the date using
your proper date format and it should save.

PS how can you change the format the calendar widget uses?

#9 - 2010-11-30 21:40 - Tim Ehlen

Sorry, I changed the setting display format to match the calendar helper and we still experience the problem.

It seems like it relates to the parent child relationship.  The Parent feature does not have a start date (and we cannot edit it becuase of the children)
but when we specify a start date on a child we get the error message.

#10 - 2010-11-30 22:23 - Mischa The Evil

Tim Ehlen wrote:

[...]

It seems like it relates to the parent child relationship.  The Parent feature does not have a start date (and we cannot edit it becuase of the
children) but when we specify a start date on a child we get the error message.

I've tried to reproduce this error again on a fresh checkout of the current trunk, using the quoted steps to reproduce the error. Again, I haven't been
able to reproduce the described behaviour.
#11 - 2010-12-01 15:09 - Damien Couderc

Well as far as I can see with the issue on my side, this is a problem of precedence.
The problem occurs only on task with precedes/follows links, so I think Mischa got it since the beginning.

I'm going to see ASAP if one or more of those links is breaking something.

#12 - 2011-02-24 17:33 - Erp Erpington

Just ran across this issue today.  The basic setup was a 'Phase 1' with a few subissues and a 'Phase 2' with a few subissues, with Phase 2 set to follow
Phase 1.  Only Phase 2 issues showed the issue when updating.  Phase 1 had a couple days of 'slack' time, which overlapped with the start of Phase
2.  Removing the follows relationship between the phases 'fixed' the problem with updating Phase 2 issues.

#13 - 2011-02-25 12:57 - Adam Klinkosz

+1
It had happened to me as well. I had a subtask with was starting at 2011-02-24 and a parent task ended at 2011-02-24 - then the problem occurred.

It is perfectly reasonable and logical behavior. However, I can not change the end date of the parent task - it is disabled.

#14 - 2011-04-19 15:23 - Rogério Carrasqueira

Hi!

+1. It seems the redmine is not checking correctly the relationship between task on follow and precedence relationship and is ignoring the estimated
hours set at the ticket. For example if my workday has 8 hour I can split it on two tasks with 4 hours each one. So I think that if the redmine could check
this information and resource allocated to execute the task I believe that the problem can be solved.

Cheers from Brazil!

Rogério Carrasqueira

#15 - 2011-12-04 15:01 - Mischa The Evil
- Status changed from Reopened to Closed
- Resolution set to Invalid

This was most-likely indeed an error due to use of the issue-relations feature (in particular the precedes-/following-relationship). IIRC this feature is
fixed in current Redmine releases.

Please open a new issue, along with the precise steps to reproduce the error and info about the environment on which the error occurs (see
[[submissions]]), if you (still) encounter this error.

#16 - 2012-09-03 18:42 - Jirka Borovec
- Status changed from Closed to Reopened

the problem is still there and I maybe found how it happened...
it comes when your task B starts before the previous task A ends (the task B follows A), in fact it permits you to create task B whenever you want and
add the dependency on task A (it does not check it in that time) but when the update come it does check it, it says that the start time is invalid, but still
it add it to spend time, so even the task is not updated the time increased... [we use about 6 month old version]

is it really corrected in last release?

#17 - 2013-05-18 22:06 - Edgar H

Jirka Borovec wrote:

the problem is still there and I maybe found how it happened...

it comes when your task B starts before the previous task A ends (the task B follows A), in fact it permits you to create task B whenever you want
and add the dependency on task A (it does not check it in that time) but when the update come it does check it, it says that the start time is invalid,
but still it add it to spend time, so even the task is not updated the time increased... [we use about 6 month old version]

is it really corrected in last release?

I can confirm that this happens exactly as you say on Redmine 2.1.2.stable.

#18 - 2014-06-03 18:09 - Monica Kochofar

Jirka Borovec wrote:

the problem is still there and I maybe found how it happened...

it comes when your task B starts before the previous task A ends (the task B follows A), in fact it permits you to create task B whenever you want
and add the dependency on task A (it does not check it in that time) but when the update come it does check it, it says that the start time is invalid,
but still it add it to spend time, so even the task is not updated the time increased... [we use about 6 month old version]

is it really corrected in last release?

Can confirm that this exists in Version: 2.5.1 of Redmine, I have actually opened a similar issue with steps on how to reproduce here: #16896

#19 - 2014-06-14 05:50 - Toshi MARUYAMA
- Related to Defect #16896: Follows Relation Ignored When Adding a Parent added

#20 - 2014-06-14 05:53 - Toshi MARUYAMA
- Resolution deleted (Invalid)
